EBOOK-POLISH(1)

NAME
ebook-polish - ebook-polish

            ebook-polish [rofar] input_file [úttaksskrá]

Polishing books is all about putting the shine of perfection onto your carefully crafted e-books.

Polishing tries to minimize the changes to the internal code of your e-book. Unlike conversion, it does not flatten CSS, rename files, change font sizes, adjust margins, etc. Every action performs only the minimum set of changes needed for the desired effect.

You should use this tool as the last step in your e-book creation process.

Note that polishing only works on files in the AZW3 eða EPUB eða KEPUB formats.

Whenever you pass arguments to ebook-polish that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[VALKOSTIR]

    --add-soft-hyphens, -H
        Add soft hyphens to all words in the book. This allows the book to be rendered better when the text is justified, in readers that do not support hyphenation.

    --compress-images, -i
        Losslessly compress images in the book, to reduce the filesize, without affecting image quality.

    --cover, -c
        Path to a cover image. Changes the cover specified in the e-book. If no cover is present, or the cover is not properly identified, inserts a new cover.

    --download-external-resources, -d
        Download external resources such as images, stylesheets, etc. that point to URLs instead of files in the book. All such resources will be downloaded and added to the book so that the book no longer references any external resources.

    --embed-fonts, -e
        Ívefja allar stafagerðir sem þessi skrá notar og ekki eru nú þegar ívafðar. Þessi aðgerð leitar að umbeðnum stafagerðum og ef þær finnast, verða þær ívafðar í skránna. Vinsamlegast tryggðu að þú hafir réttu leyfin til að ívefja þær stafagerðir sem notaðar eru í skránni.

    --help, -h
        sýna þessi hjálparskilaboð og hætta

    --jacket, -j
        Insert a "book jacket" page at the start of the book that contains all the book metadata such as title, tags, authors, series, comments, etc. Any previous book jacket will be replaced.

    --opf, -o
        Path to an OPF file. The metadata in the book is updated from the OPF file.

    --remove-jacket
        Fjarlægja áður innsetta bókarkápusíðu.

    --remove-soft-hyphens
        Remove soft hyphens from all text in the book.

    --remove-unused-css, -u
        Remove all unused CSS rules from stylesheets and <style> tags. Some books created from production templates can have a large number of extra CSS rules that don't match any actual content. These extra rules can slow down readers that need to parse them all.

    --smarten-punctuation, -p
        Convert plain text dashes, ellipsis, quotes, multiple hyphens, etc. into their typographically correct equivalents. Note that the algorithm can sometimes generate incorrect results, especially when single quotes at the start of contractions are involved.

    --subset-fonts, -f
        Ef stafagerð er sett í undirmengi þá minnkar stafagerðin og inniheldur aðeins þá stafi úr þeirri stafagerð sem notaðir eru í bókinni. Þetta minnkar verulega stærð stafagerðaskráa (algengt að stærðin helmingist). Sem dæmi, ef bókin notar tiltekna stafagerð í titla, þá mun undirmengisaðgerðin minnka stafagerðina svo að hún inniheldur einungis þá stafi sem notaðir voru í titlum bókarinnar. Eða ef bókin hefur ívafið feit- og skáletrun stafagerðar, en feit- og skáletrun er hlutfallslega sjaldgæf, eða alveg fjarverandi, þá geta feit- og skáletruðu stafagerðirnar verið minnkaðar niður í örfáa stafi eða verið algerlega fjarlægðar. Gallinn við að setja stafagerð í undirmengi er að ef þú ákveður síðar að bæta texta við bókina, þá er mögulegt að viðbætti textinn sé ekki innifalinn í stafagerðarundirmenginu.

    --upgrade-book, -U
        Upgrade the internal structures of the book, if possible. For instance, upgrades EPUB 2 books to EPUB 3 books.

    --verbose
        Produce more verbose output, useful for debugging.

    --version
        sýna útgáfunúmer forrits og hætta

Author
Kovid Goyal

Copyright
Kovid Goyal